///////////////////////////////////////////////////////////////////////////////
//                                                                            /
// IAR ANSI C/C++ Compiler V6.21.2.52939/W32 for ARM    20/Nov/2011  19:02:48 /
// Copyright 1999-2011 IAR Systems AB.                                        /
//                                                                            /
//    Cpu mode     =  thumb                                                   /
//    Endian       =  little                                                  /
//    Source file  =  C:\ARM\IAR Systems\Embedded Workbench                   /
//                    6.0\Proj\DSO4\FWLib\src\stm32f10x_dma.c                 /
//    Command line =  "C:\ARM\IAR Systems\Embedded Workbench                  /
//                    6.0\Proj\DSO4\FWLib\src\stm32f10x_dma.c" -lA            /
//                    "C:\ARM\IAR Systems\Embedded Workbench                  /
//                    6.0\Proj\DSO4\App_v2.51\IAR_V5_Project\List\"           /
//                    --remarks -o "C:\ARM\IAR Systems\Embedded Workbench     /
//                    6.0\Proj\DSO4\App_v2.51\IAR_V5_Project\Obj\" --debug    /
//                    --endian=little --cpu=Cortex-M3 --fpu=None              /
//                    --dlib_config "C:\ARM\IAR Systems\Embedded Workbench    /
//                    6.0\arm\INC\c\DLib_Config_Full.h" -I "C:\ARM\IAR        /
//                    Systems\Embedded Workbench                              /
//                    6.0\Proj\DSO4\App_v2.51\IAR_V5_Project\..\..\FWLib\inc\ /
//                    " -I "C:\ARM\IAR Systems\Embedded Workbench             /
//                    6.0\Proj\DSO4\App_v2.51\IAR_V5_Project\..\..\USBLib\inc /
//                    \" -I "C:\ARM\IAR Systems\Embedded Workbench            /
//                    6.0\Proj\DSO4\App_v2.51\IAR_V5_Project\..\include\" -I  /
//                    "c:\ARM\IAR Systems\Embedded Workbench                  /
//                    6.0\arm\inc\ST\" -I "c:\ARM\IAR Systems\Embedded        /
//                    Workbench 6.0\arm\src\flashloader\ST\FlashSTM32F10x\inc /
//                    \" -I "c:\ARM\IAR Systems\Embedded Workbench            /
//                    6.0\arm\inc\STM32F10x_StdPeriph_Lib_V3.5.0\Libraries\ST /
//                    M32F10x_StdPeriph_Driver\src\" -I "c:\ARM\IAR           /
//                    Systems\Embedded Workbench                              /
//                    6.0\arm\inc\STM32F10x_StdPeriph_Lib_V3.5.0\Libraries\CM /
//                    SIS\CM3\DeviceSupport\ST\STM32F10x\" -Ohs               /
//                    --use_c++_inline                                        /
//    List file    =  C:\ARM\IAR Systems\Embedded Workbench                   /
//                    6.0\Proj\DSO4\App_v2.51\IAR_V5_Project\List\stm32f10x_d /
//                    ma.s                                                    /
//                                                                            /
//                                                                            /
///////////////////////////////////////////////////////////////////////////////

        NAME stm32f10x_dma

        RTMODEL "__SystemLibrary", "DLib"
        AAPCS BASE,INTERWORK
        PRESERVE8
        REQUIRE8

        #define SHT_PROGBITS 0x1

        PUBLIC DMA_ClearFlag
        PUBLIC DMA_ClearITPendingBit
        PUBLIC DMA_Cmd
        PUBLIC DMA_DeInit
        PUBLIC DMA_GetCurrDataCounter
        PUBLIC DMA_GetFlagStatus
        PUBLIC DMA_GetITStatus
        PUBLIC DMA_ITConfig
        PUBLIC DMA_Init
        PUBLIC DMA_StructInit
        
        CFI Names cfiNames0
        CFI StackFrame CFA R13 DATA
        CFI Resource R0:32, R1:32, R2:32, R3:32, R4:32, R5:32, R6:32, R7:32
        CFI Resource R8:32, R9:32, R10:32, R11:32, R12:32, R13:32, R14:32
        CFI EndNames cfiNames0
        
        CFI Common cfiCommon0 Using cfiNames0
        CFI CodeAlign 2
        CFI DataAlign 4
        CFI ReturnAddress R14 CODE
        CFI CFA R13+0
        CFI R0 Undefined
        CFI R1 Undefined
        CFI R2 Undefined
        CFI R3 Undefined
        CFI R4 SameValue
        CFI R5 SameValue
        CFI R6 SameValue
        CFI R7 SameValue
        CFI R8 SameValue
        CFI R9 SameValue
        CFI R10 SameValue
        CFI R11 SameValue
        CFI R12 Undefined
        CFI R14 SameValue
        CFI EndCommon cfiCommon0
        
// C:\ARM\IAR Systems\Embedded Workbench 6.0\Proj\DSO4\FWLib\src\stm32f10x_dma.c
//    1 /*
//    2 ******************* (C) COPYRIGHT 2008 STMicroelectronics ********************
//    3 * File Name          : stm32f10x_dma.c
//    4 * Author             : MCD Application Team
//    5 * Version            : V2.0.3
//    6 * Date               : 09/22/2008
//    7 * Description        : This file provides all the DMA firmware functions.
//    8 ********************************************************************************
//    9 * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
//   10 * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
//   11 * AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
//   12 * INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
//   13 * CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
//   14 * INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
//   15 *******************************************************************************/
//   16 
//   17 /* Includes ------------------------------------------------------------------*/
//   18 #include "stm32f10x_dma.h"
//   19 #include "stm32f10x_rcc.h"
//   20 
//   21 /* Private typedef -----------------------------------------------------------*/
//   22 /* Private define ------------------------------------------------------------*/
//   23 /* DMA ENABLE mask */
//   24 #define CCR_ENABLE_Set          ((u32)0x00000001)
//   25 #define CCR_ENABLE_Reset        ((u32)0xFFFFFFFE)
//   26 
//   27 /* DMA1 Channelx interrupt pending bit masks */
//   28 #define DMA1_Channel1_IT_Mask    ((u32)0x0000000F)
//   29 #define DMA1_Channel2_IT_Mask    ((u32)0x000000F0)
//   30 #define DMA1_Channel3_IT_Mask    ((u32)0x00000F00)
//   31 #define DMA1_Channel4_IT_Mask    ((u32)0x0000F000)
//   32 #define DMA1_Channel5_IT_Mask    ((u32)0x000F0000)
//   33 #define DMA1_Channel6_IT_Mask    ((u32)0x00F00000)
//   34 #define DMA1_Channel7_IT_Mask    ((u32)0x0F000000)
//   35 
//   36 /* DMA2 Channelx interrupt pending bit masks */
//   37 #define DMA2_Channel1_IT_Mask    ((u32)0x0000000F)
//   38 #define DMA2_Channel2_IT_Mask    ((u32)0x000000F0)
//   39 #define DMA2_Channel3_IT_Mask    ((u32)0x00000F00)
//   40 #define DMA2_Channel4_IT_Mask    ((u32)0x0000F000)
//   41 #define DMA2_Channel5_IT_Mask    ((u32)0x000F0000)
//   42 
//   43 /* DMA2 FLAG mask */
//   44 #define FLAG_Mask                ((u32)0x10000000)
//   45 
//   46 /* DMA registers Masks */
//   47 #define CCR_CLEAR_Mask           ((u32)0xFFFF800F)
//   48 
//   49 /* Private macro -------------------------------------------------------------*/
//   50 /* Private variables ---------------------------------------------------------*/
//   51 /* Private function prototypes -----------------------------------------------*/
//   52 /* Private functions ---------------------------------------------------------*/
//   53 
//   54 /*******************************************************************************
//   55 * Function Name  : DMA_DeInit
//   56 * Description    : Deinitializes the DMAy Channelx registers to their default reset
//   57 *                  values.
//   58 * Input          : - DMAy_Channelx: where y can be 1 or 2 to select the DMA and
//   59 *                    x can be 1 to 7 for DMA1 and 1 to 5 for DMA2 to select the 
//   60 *                    DMA Channel.
//   61 * Output         : None
//   62 * Return         : None
//   63 *******************************************************************************/

        SECTION `.text`:CODE:NOROOT(1)
        CFI Block cfiBlock0 Using cfiCommon0
        CFI Function DMA_DeInit
        THUMB
//   64 void DMA_DeInit(DMA_Channel_TypeDef* DMAy_Channelx)
//   65 {
//   66   /* Check the parameters */
//   67   assert_param(IS_DMA_ALL_PERIPH(DMAy_Channelx));
//   68 
//   69   /* Disable the selected DMAy Channelx */
//   70   DMAy_Channelx->CCR &= CCR_ENABLE_Reset;
DMA_DeInit:
        LDR      R1,[R0, #+0]
        LSRS     R1,R1,#+1
        LSLS     R1,R1,#+1
        STR      R1,[R0, #+0]
//   71 
//   72   /* Reset DMAy Channelx control register */
//   73   DMAy_Channelx->CCR  = 0;
        MOVS     R1,#+0
        STR      R1,[R0, #+0]
//   74   
//   75   /* Reset DMAy Channelx remaining bytes register */
//   76   DMAy_Channelx->CNDTR = 0;
        STR      R1,[R0, #+4]
//   77   
//   78   /* Reset DMAy Channelx peripheral address register */
//   79   DMAy_Channelx->CPAR  = 0;
        STR      R1,[R0, #+8]
//   80   
//   81   /* Reset DMAy Channelx memory address register */
//   82   DMAy_Channelx->CMAR = 0;
        STR      R1,[R0, #+12]
//   83 
//   84   switch (*(u32*)&DMAy_Channelx)
        LDR.N    R1,??DataTable5  ;; 0x40020008
        SUBS     R0,R0,R1
        BEQ.N    ??DMA_DeInit_0
        SUBS     R0,R0,#+20
        BEQ.N    ??DMA_DeInit_1
        SUBS     R0,R0,#+20
        BEQ.N    ??DMA_DeInit_2
        SUBS     R0,R0,#+20
        BEQ.N    ??DMA_DeInit_3
        SUBS     R0,R0,#+20
        BEQ.N    ??DMA_DeInit_4
        SUBS     R0,R0,#+20
        BEQ.N    ??DMA_DeInit_5
        SUBS     R0,R0,#+20
        BEQ.N    ??DMA_DeInit_6
        MOV      R1,#+904
        SUBS     R0,R0,R1
        BEQ.N    ??DMA_DeInit_7
        SUBS     R0,R0,#+20
        BEQ.N    ??DMA_DeInit_8
        SUBS     R0,R0,#+20
        BEQ.N    ??DMA_DeInit_9
        SUBS     R0,R0,#+20
        BEQ.N    ??DMA_DeInit_10
        SUBS     R0,R0,#+20
        BEQ.N    ??DMA_DeInit_11
        BX       LR
//   85   {
//   86     case DMA1_Channel1_BASE:
//   87       /* Reset interrupt pending bits for DMA1 Channel1 */
//   88       DMA1->IFCR |= DMA1_Channel1_IT_Mask;
??DMA_DeInit_0:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+0]
        ORR      R1,R1,#0xF
??DMA_DeInit_12:
        STR      R1,[R0, #+0]
//   89       break;
        BX       LR
//   90 
//   91     case DMA1_Channel2_BASE:
//   92       /* Reset interrupt pending bits for DMA1 Channel2 */
//   93       DMA1->IFCR |= DMA1_Channel2_IT_Mask;
??DMA_DeInit_1:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+0]
        ORR      R1,R1,#0xF0
        B.N      ??DMA_DeInit_12
//   94       break;
//   95 
//   96     case DMA1_Channel3_BASE:
//   97       /* Reset interrupt pending bits for DMA1 Channel3 */
//   98       DMA1->IFCR |= DMA1_Channel3_IT_Mask;
??DMA_DeInit_2:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+0]
        ORR      R1,R1,#0xF00
??DMA_DeInit_13:
        STR      R1,[R0, #+0]
//   99       break;
        BX       LR
//  100 
//  101     case DMA1_Channel4_BASE:
//  102       /* Reset interrupt pending bits for DMA1 Channel4 */
//  103       DMA1->IFCR |= DMA1_Channel4_IT_Mask;
??DMA_DeInit_3:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+0]
        ORR      R1,R1,#0xF000
        B.N      ??DMA_DeInit_12
//  104       break;
//  105 
//  106     case DMA1_Channel5_BASE:
//  107       /* Reset interrupt pending bits for DMA1 Channel5 */
//  108       DMA1->IFCR |= DMA1_Channel5_IT_Mask;
??DMA_DeInit_4:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+0]
        ORR      R1,R1,#0xF0000
        B.N      ??DMA_DeInit_13
//  109       break;
//  110 
//  111     case DMA1_Channel6_BASE:
//  112       /* Reset interrupt pending bits for DMA1 Channel6 */
//  113       DMA1->IFCR |= DMA1_Channel6_IT_Mask;
??DMA_DeInit_5:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+0]
        ORR      R1,R1,#0xF00000
        B.N      ??DMA_DeInit_12
//  114       break;
//  115 
//  116     case DMA1_Channel7_BASE:
//  117       /* Reset interrupt pending bits for DMA1 Channel7 */
//  118       DMA1->IFCR |= DMA1_Channel7_IT_Mask;
??DMA_DeInit_6:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+0]
        ORR      R1,R1,#0xF000000
        STR      R1,[R0, #+0]
//  119       break;
        BX       LR
//  120 
//  121     case DMA2_Channel1_BASE:
//  122       /* Reset interrupt pending bits for DMA2 Channel1 */
//  123       DMA2->IFCR |= DMA2_Channel1_IT_Mask;
??DMA_DeInit_7:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+1024]
        ORR      R1,R1,#0xF
        B.N      ??DMA_DeInit_14
//  124       break;
//  125 
//  126     case DMA2_Channel2_BASE:
//  127       /* Reset interrupt pending bits for DMA2 Channel2 */
//  128       DMA2->IFCR |= DMA2_Channel2_IT_Mask;
??DMA_DeInit_8:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+1024]
        ORR      R1,R1,#0xF0
        B.N      ??DMA_DeInit_14
//  129       break;
//  130 
//  131     case DMA2_Channel3_BASE:
//  132       /* Reset interrupt pending bits for DMA2 Channel3 */
//  133       DMA2->IFCR |= DMA2_Channel3_IT_Mask;
??DMA_DeInit_9:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+1024]
        ORR      R1,R1,#0xF00
        B.N      ??DMA_DeInit_14
//  134       break;
//  135 
//  136     case DMA2_Channel4_BASE:
//  137       /* Reset interrupt pending bits for DMA2 Channel4 */
//  138       DMA2->IFCR |= DMA2_Channel4_IT_Mask;
??DMA_DeInit_10:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+1024]
        ORR      R1,R1,#0xF000
        B.N      ??DMA_DeInit_14
//  139       break;
//  140 
//  141     case DMA2_Channel5_BASE:
//  142       /* Reset interrupt pending bits for DMA2 Channel5 */
//  143       DMA2->IFCR |= DMA2_Channel5_IT_Mask;
??DMA_DeInit_11:
        LDR.N    R0,??DataTable5_1  ;; 0x40020004
        LDR      R1,[R0, #+1024]
        ORR      R1,R1,#0xF0000
??DMA_DeInit_14:
        STR      R1,[R0, #+1024]
//  144       break;
//  145       
//  146     default:
//  147       break;
//  148   }
//  149 }
        BX       LR               ;; return
        CFI EndBlock cfiBlock0
//  150 
//  151 /*******************************************************************************
//  152 * Function Name  : DMA_Init
//  153 * Description    : Initializes the DMAy Channelx according to the specified
//  154 *                  parameters in the DMA_InitStruct.
//  155 * Input          : - DMAy_Channelx: where y can be 1 or 2 to select the DMA and 
//  156 *                    x can be 1 to 7 for DMA1 and 1 to 5 for DMA2 to select the 
//  157 *                    DMA Channel.
//  158 *                  - DMA_InitStruct: pointer to a DMA_InitTypeDef structure that
//  159 *                    contains the configuration information for the specified
//  160 *                    DMA Channel.
//  161 * Output         : None
//  162 * Return         : None
//  163 ******************************************************************************/

        SECTION `.text`:CODE:NOROOT(1)
        CFI Block cfiBlock1 Using cfiCommon0
        CFI Function DMA_Init
        THUMB
//  164 void DMA_Init(DMA_Channel_TypeDef* DMAy_Channelx, DMA_InitTypeDef* DMA_InitStruct)
//  165 {
//  166   u32 tmpreg = 0;
//  167 
//  168   /* Check the parameters */
//  169   assert_param(IS_DMA_ALL_PERIPH(DMAy_Channelx));
//  170   assert_param(IS_DMA_DIR(DMA_InitStruct->DMA_DIR));
//  171   assert_param(IS_DMA_BUFFER_SIZE(DMA_InitStruct->DMA_BufferSize));
//  172   assert_param(IS_DMA_PERIPHERAL_INC_STATE(DMA_InitStruct->DMA_PeripheralInc));
//  173   assert_param(IS_DMA_MEMORY_INC_STATE(DMA_InitStruct->DMA_MemoryInc));   
//  174   assert_param(IS_DMA_PERIPHERAL_DATA_SIZE(DMA_InitStruct->DMA_PeripheralDataSize));
//  175   assert_param(IS_DMA_MEMORY_DATA_SIZE(DMA_InitStruct->DMA_MemoryDataSize));
//  176   assert_param(IS_DMA_MODE(DMA_InitStruct->DMA_Mode));
//  177   assert_param(IS_DMA_PRIORITY(DMA_InitStruct->DMA_Priority));
//  178   assert_param(IS_DMA_M2M_STATE(DMA_InitStruct->DMA_M2M));
//  179 
//  180 /*--------------------------- DMAy Channelx CCR Configuration -----------------*/
//  181   /* Get the DMAy_Channelx CCR value */
//  182   tmpreg = DMAy_Channelx->CCR;
//  183   /* Clear MEM2MEM, PL, MSIZE, PSIZE, MINC, PINC, CIRC and DIR bits */
//  184   tmpreg &= CCR_CLEAR_Mask;
//  185   /* Configure DMAy Channelx: data transfer, data size, priority level and mode */
//  186   /* Set DIR bit according to DMA_DIR value */
//  187   /* Set CIRC bit according to DMA_Mode value */
//  188   /* Set PINC bit according to DMA_PeripheralInc value */
//  189   /* Set MINC bit according to DMA_MemoryInc value */
//  190   /* Set PSIZE bits according to DMA_PeripheralDataSize value */
//  191   /* Set MSIZE bits according to DMA_MemoryDataSize value */
//  192   /* Set PL bits according to DMA_Priority value */
//  193   /* Set the MEM2MEM bit according to DMA_M2M value */
//  194   tmpreg |= DMA_InitStruct->DMA_DIR | DMA_InitStruct->DMA_Mode |
//  195             DMA_InitStruct->DMA_PeripheralInc | DMA_InitStruct->DMA_MemoryInc |
//  196             DMA_InitStruct->DMA_PeripheralDataSize | DMA_InitStruct->DMA_MemoryDataSize |
//  197             DMA_InitStruct->DMA_Priority | DMA_InitStruct->DMA_M2M;
//  198   /* Write to DMAy Channelx CCR */
//  199   DMAy_Channelx->CCR = tmpreg;
DMA_Init:
        LDR      R2,[R0, #+0]
        LDR.N    R3,??DataTable5_2  ;; 0xffff800f
        ANDS     R2,R3,R2
        LDR      R3,[R1, #+8]
        ORRS     R2,R3,R2
        LDR      R3,[R1, #+32]
        ORRS     R2,R3,R2
        LDR      R3,[R1, #+16]
        ORRS     R2,R3,R2
        LDR      R3,[R1, #+20]
        ORRS     R2,R3,R2
        LDR      R3,[R1, #+24]
        ORRS     R2,R3,R2
        LDR      R3,[R1, #+28]
        ORRS     R2,R3,R2
        LDR      R3,[R1, #+36]
        ORRS     R2,R3,R2
        LDR      R3,[R1, #+40]
        ORRS     R2,R3,R2
        STR      R2,[R0, #+0]
//  200 
//  201 /*--------------------------- DMAy Channelx CNDTR Configuration ---------------*/
//  202   /* Write to DMAy Channelx CNDTR */
//  203   DMAy_Channelx->CNDTR = DMA_InitStruct->DMA_BufferSize;
        LDR      R2,[R1, #+12]
        STR      R2,[R0, #+4]
//  204 
//  205 /*--------------------------- DMAy Channelx CPAR Configuration ----------------*/
//  206   /* Write to DMAy Channelx CPAR */
//  207   DMAy_Channelx->CPAR = DMA_InitStruct->DMA_PeripheralBaseAddr;
        LDR      R2,[R1, #+0]
        STR      R2,[R0, #+8]
//  208 
//  209 /*--------------------------- DMAy Channelx CMAR Configuration ----------------*/
//  210   /* Write to DMAy Channelx CMAR */
//  211   DMAy_Channelx->CMAR = DMA_InitStruct->DMA_MemoryBaseAddr;
        LDR      R1,[R1, #+4]
        STR      R1,[R0, #+12]
//  212 }
        BX       LR               ;; return
        CFI EndBlock cfiBlock1
//  213 
//  214 /*******************************************************************************
//  215 * Function Name  : DMA_StructInit
//  216 * Description    : Fills each DMA_InitStruct member with its default value.
//  217 * Input          : - DMA_InitStruct : pointer to a DMA_InitTypeDef structure
//  218 *                    which will be initialized.
//  219 * Output         : None
//  220 * Return         : None
//  221 *******************************************************************************/

        SECTION `.text`:CODE:NOROOT(1)
        CFI Block cfiBlock2 Using cfiCommon0
        CFI Function DMA_StructInit
        THUMB
//  222 void DMA_StructInit(DMA_InitTypeDef* DMA_InitStruct)
//  223 {
//  224 /*-------------- Reset DMA init structure parameters values ------------------*/
//  225   /* Initialize the DMA_PeripheralBaseAddr member */
//  226   DMA_InitStruct->DMA_PeripheralBaseAddr = 0;
DMA_StructInit:
        MOVS     R1,#+0
        STR      R1,[R0, #+0]
//  227 
//  228   /* Initialize the DMA_MemoryBaseAddr member */
//  229   DMA_InitStruct->DMA_MemoryBaseAddr = 0;
        STR      R1,[R0, #+4]
//  230 
//  231   /* Initialize the DMA_DIR member */
//  232   DMA_InitStruct->DMA_DIR = DMA_DIR_PeripheralSRC;
        STR      R1,[R0, #+8]
//  233 
//  234   /* Initialize the DMA_BufferSize member */
//  235   DMA_InitStruct->DMA_BufferSize = 0;
        STR      R1,[R0, #+12]
//  236 
//  237   /* Initialize the DMA_PeripheralInc member */
//  238   DMA_InitStruct->DMA_PeripheralInc = DMA_PeripheralInc_Disable;
        STR      R1,[R0, #+16]
//  239 
//  240   /* Initialize the DMA_MemoryInc member */
//  241   DMA_InitStruct->DMA_MemoryInc = DMA_MemoryInc_Disable;
        STR      R1,[R0, #+20]
//  242 
//  243   /* Initialize the DMA_PeripheralDataSize member */
//  244   DMA_InitStruct->DMA_PeripheralDataSize = DMA_PeripheralDataSize_Byte;
        STR      R1,[R0, #+24]
//  245 
//  246   /* Initialize the DMA_MemoryDataSize member */
//  247   DMA_InitStruct->DMA_MemoryDataSize = DMA_MemoryDataSize_Byte;
        STR      R1,[R0, #+28]
//  248 
//  249   /* Initialize the DMA_Mode member */
//  250   DMA_InitStruct->DMA_Mode = DMA_Mode_Normal;
        STR      R1,[R0, #+32]
//  251 
//  252   /* Initialize the DMA_Priority member */
//  253   DMA_InitStruct->DMA_Priority = DMA_Priority_Low;
        STR      R1,[R0, #+36]
//  254 
//  255   /* Initialize the DMA_M2M member */
//  256   DMA_InitStruct->DMA_M2M = DMA_M2M_Disable;
        STR      R1,[R0, #+40]
//  257 }
        BX       LR               ;; return
        CFI EndBlock cfiBlock2
//  258 
//  259 /*******************************************************************************
//  260 * Function Name  : DMA_Cmd
//  261 * Description    : Enables or disables the specified DMAy Channelx.
//  262 * Input          : - DMAy_Channelx: where y can be 1 or 2 to select the DMA and 
//  263 *                    x can be 1 to 7 for DMA1 and 1 to 5 for DMA2 to select the 
//  264 *                    DMA Channel.
//  265 *                  - NewState: new state of the DMAy Channelx. 
//  266 *                    This parameter can be: ENABLE or DISABLE.
//  267 * Output         : None
//  268 * Return         : None
//  269 *******************************************************************************/

        SECTION `.text`:CODE:NOROOT(1)
        CFI Block cfiBlock3 Using cfiCommon0
        CFI Function DMA_Cmd
        THUMB
//  270 void DMA_Cmd(DMA_Channel_TypeDef* DMAy_Channelx, FunctionalState NewState)
//  271 {
//  272   /* Check the parameters */
//  273   assert_param(IS_DMA_ALL_PERIPH(DMAy_Channelx));
//  274   assert_param(IS_FUNCTIONAL_STATE(NewState));
//  275 
//  276   if (NewState != DISABLE)
DMA_Cmd:
        CMP      R1,#+0
        LDR      R1,[R0, #+0]
        ITEE     NE 
        ORRNE    R1,R1,#0x1
        LSREQ    R1,R1,#+1
        LSLEQ    R1,R1,#+1
//  277   {
//  278     /* Enable the selected DMAy Channelx */
//  279     DMAy_Channelx->CCR |= CCR_ENABLE_Set;
//  280   }
//  281   else
//  282   {
//  283     /* Disable the selected DMAy Channelx */
//  284     DMAy_Channelx->CCR &= CCR_ENABLE_Reset;
        STR      R1,[R0, #+0]
//  285   }
//  286 }
        BX       LR               ;; return
        CFI EndBlock cfiBlock3
//  287 
//  288 /*******************************************************************************
//  289 * Function Name  : DMA_ITConfig
//  290 * Description    : Enables or disables the specified DMAy Channelx interrupts.
//  291 * Input          : - DMAy_Channelx: where y can be 1 or 2 to select the DMA and 
//  292 *                    x can be 1 to 7 for DMA1 and 1 to 5 for DMA2 to select the 
//  293 *                    DMA Channel.
//  294 *                  - DMA_IT: specifies the DMA interrupts sources to be enabled
//  295 *                    or disabled. 
//  296 *                    This parameter can be any combination of the following values:
//  297 *                       - DMA_IT_TC:  Transfer complete interrupt mask
//  298 *                       - DMA_IT_HT:  Half transfer interrupt mask
//  299 *                       - DMA_IT_TE:  Transfer error interrupt mask
//  300 *                  - NewState: new state of the specified DMA interrupts.
//  301 *                    This parameter can be: ENABLE or DISABLE.
//  302 * Output         : None
//  303 * Return         : None
//  304 *******************************************************************************/

        SECTION `.text`:CODE:NOROOT(1)
        CFI Block cfiBlock4 Using cfiCommon0
        CFI Function DMA_ITConfig
        THUMB
//  305 void DMA_ITConfig(DMA_Channel_TypeDef* DMAy_Channelx, u32 DMA_IT, FunctionalState NewState)
//  306 {
//  307   /* Check the parameters */
//  308   assert_param(IS_DMA_ALL_PERIPH(DMAy_Channelx));
//  309   assert_param(IS_DMA_CONFIG_IT(DMA_IT));
//  310   assert_param(IS_FUNCTIONAL_STATE(NewState));
//  311 
//  312   if (NewState != DISABLE)
DMA_ITConfig:
        CMP      R2,#+0
        LDR      R2,[R0, #+0]
        ITE      NE 
        ORRNE    R1,R1,R2
        BICEQ    R1,R2,R1
//  313   {
//  314     /* Enable the selected DMA interrupts */
//  315     DMAy_Channelx->CCR |= DMA_IT;
//  316   }
//  317   else
//  318   {
//  319     /* Disable the selected DMA interrupts */
//  320     DMAy_Channelx->CCR &= ~DMA_IT;
        STR      R1,[R0, #+0]
//  321   }
//  322 }
        BX       LR               ;; return
        CFI EndBlock cfiBlock4
//  323 
//  324 /*******************************************************************************
//  325 * Function Name  : DMA_GetCurrDataCounter
//  326 * Description    : Returns the number of remaining data units in the current
//  327 *                  DMAy Channelx transfer.
//  328 * Input          : - DMAy_Channelx: where y can be 1 or 2 to select the DMA and 
//  329 *                    x can be 1 to 7 for DMA1 and 1 to 5 for DMA2 to select the 
//  330 *                    DMA Channel.
//  331 * Output         : None
//  332 * Return         : The number of remaining data units in the current DMAy Channelx
//  333 *                  transfer.
//  334 *******************************************************************************/

        SECTION `.text`:CODE:NOROOT(1)
        CFI Block cfiBlock5 Using cfiCommon0
        CFI Function DMA_GetCurrDataCounter
        THUMB
//  335 u16 DMA_GetCurrDataCounter(DMA_Channel_TypeDef* DMAy_Channelx)
//  336 {
//  337   /* Check the parameters */
//  338   assert_param(IS_DMA_ALL_PERIPH(DMAy_Channelx));
//  339 
//  340   /* Return the number of remaining data units for DMAy Channelx */
//  341   return ((u16)(DMAy_Channelx->CNDTR));
DMA_GetCurrDataCounter:
        LDR      R0,[R0, #+4]
        UXTH     R0,R0
        BX       LR               ;; return
        CFI EndBlock cfiBlock5
//  342 }
//  343 
//  344 /*******************************************************************************
//  345 * Function Name  : DMA_GetFlagStatus
//  346 * Description    : Checks whether the specified DMAy Channelx flag is set or not.
//  347 * Input          : - DMA_FLAG: specifies the flag to check.
//  348 *                    This parameter can be one of the following values:
//  349 *                       - DMA1_FLAG_GL1: DMA1 Channel1 global flag.
//  350 *                       - DMA1_FLAG_TC1: DMA1 Channel1 transfer complete flag.
//  351 *                       - DMA1_FLAG_HT1: DMA1 Channel1 half transfer flag.
//  352 *                       - DMA1_FLAG_TE1: DMA1 Channel1 transfer error flag.
//  353 *                       - DMA1_FLAG_GL2: DMA1 Channel2 global flag.
//  354 *                       - DMA1_FLAG_TC2: DMA1 Channel2 transfer complete flag.
//  355 *                       - DMA1_FLAG_HT2: DMA1 Channel2 half transfer flag.
//  356 *                       - DMA1_FLAG_TE2: DMA1 Channel2 transfer error flag.
//  357 *                       - DMA1_FLAG_GL3: DMA1 Channel3 global flag.
//  358 *                       - DMA1_FLAG_TC3: DMA1 Channel3 transfer complete flag.
//  359 *                       - DMA1_FLAG_HT3: DMA1 Channel3 half transfer flag.
//  360 *                       - DMA1_FLAG_TE3: DMA1 Channel3 transfer error flag.
//  361 *                       - DMA1_FLAG_GL4: DMA1 Channel4 global flag.
//  362 *                       - DMA1_FLAG_TC4: DMA1 Channel4 transfer complete flag.
//  363 *                       - DMA1_FLAG_HT4: DMA1 Channel4 half transfer flag.
//  364 *                       - DMA1_FLAG_TE4: DMA1 Channel4 transfer error flag.
//  365 *                       - DMA1_FLAG_GL5: DMA1 Channel5 global flag.
//  366 *                       - DMA1_FLAG_TC5: DMA1 Channel5 transfer complete flag.
//  367 *                       - DMA1_FLAG_HT5: DMA1 Channel5 half transfer flag.
//  368 *                       - DMA1_FLAG_TE5: DMA1 Channel5 transfer error flag.
//  369 *                       - DMA1_FLAG_GL6: DMA1 Channel6 global flag.
//  370 *                       - DMA1_FLAG_TC6: DMA1 Channel6 transfer complete flag.
//  371 *                       - DMA1_FLAG_HT6: DMA1 Channel6 half transfer flag.
//  372 *                       - DMA1_FLAG_TE6: DMA1 Channel6 transfer error flag.
//  373 *                       - DMA1_FLAG_GL7: DMA1 Channel7 global flag.
//  374 *                       - DMA1_FLAG_TC7: DMA1 Channel7 transfer complete flag.
//  375 *                       - DMA1_FLAG_HT7: DMA1 Channel7 half transfer flag.
//  376 *                       - DMA1_FLAG_TE7: DMA1 Channel7 transfer error flag.
//  377 *                       - DMA2_FLAG_GL1: DMA2 Channel1 global flag.
//  378 *                       - DMA2_FLAG_TC1: DMA2 Channel1 transfer complete flag.
//  379 *                       - DMA2_FLAG_HT1: DMA2 Channel1 half transfer flag.
//  380 *                       - DMA2_FLAG_TE1: DMA2 Channel1 transfer error flag.
//  381 *                       - DMA2_FLAG_GL2: DMA2 Channel2 global flag.
//  382 *                       - DMA2_FLAG_TC2: DMA2 Channel2 transfer complete flag.
//  383 *                       - DMA2_FLAG_HT2: DMA2 Channel2 half transfer flag.
//  384 *                       - DMA2_FLAG_TE2: DMA2 Channel2 transfer error flag.
//  385 *                       - DMA2_FLAG_GL3: DMA2 Channel3 global flag.
//  386 *                       - DMA2_FLAG_TC3: DMA2 Channel3 transfer complete flag.
//  387 *                       - DMA2_FLAG_HT3: DMA2 Channel3 half transfer flag.
//  388 *                       - DMA2_FLAG_TE3: DMA2 Channel3 transfer error flag.
//  389 *                       - DMA2_FLAG_GL4: DMA2 Channel4 global flag.
//  390 *                       - DMA2_FLAG_TC4: DMA2 Channel4 transfer complete flag.
//  391 *                       - DMA2_FLAG_HT4: DMA2 Channel4 half transfer flag.
//  392 *                       - DMA2_FLAG_TE4: DMA2 Channel4 transfer error flag.
//  393 *                       - DMA2_FLAG_GL5: DMA2 Channel5 global flag.
//  394 *                       - DMA2_FLAG_TC5: DMA2 Channel5 transfer complete flag.
//  395 *                       - DMA2_FLAG_HT5: DMA2 Channel5 half transfer flag.
//  396 *                       - DMA2_FLAG_TE5: DMA2 Channel5 transfer error flag.
//  397 * Output         : None
//  398 * Return         : The new state of DMA_FLAG (SET or RESET).
//  399 *******************************************************************************/

        SECTION `.text`:CODE:NOROOT(1)
        CFI Block cfiBlock6 Using cfiCommon0
        CFI Function DMA_GetFlagStatus
        THUMB
//  400 FlagStatus DMA_GetFlagStatus(u32 DMA_FLAG)
//  401 {
//  402   FlagStatus bitstatus = RESET;
DMA_GetFlagStatus:
        MOVS     R1,#+0
//  403   u32 tmpreg = 0;
//  404 
//  405   /* Check the parameters */
//  406   assert_param(IS_DMA_GET_FLAG(DMA_FLAG));
//  407 
//  408   /* Calculate the used DMA */
//  409   if ((DMA_FLAG & FLAG_Mask) != (u32)RESET)
        LDR.N    R2,??DataTable5_3  ;; 0x40020000
        LSLS     R3,R0,#+3
        ITE      MI 
        LDRMI    R2,[R2, #+1024]
        LDRPL    R2,[R2, #+0]
//  410   {
//  411     /* Get DMA2 ISR register value */
//  412     tmpreg = DMA2->ISR ;
//  413   }
//  414   else
//  415   {
//  416     /* Get DMA1 ISR register value */
//  417     tmpreg = DMA1->ISR ;
//  418   }
//  419 
//  420   /* Check the status of the specified DMA flag */
//  421   if ((tmpreg & DMA_FLAG) != (u32)RESET)
        TST      R2,R0
        IT       NE 
        MOVNE    R1,#+1
//  422   {
//  423     /* DMA_FLAG is set */
//  424     bitstatus = SET;
//  425   }
//  426   else
//  427   {
//  428     /* DMA_FLAG is reset */
//  429     bitstatus = RESET;
//  430   }
//  431   
//  432   /* Return the DMA_FLAG status */
//  433   return  bitstatus;
        MOV      R0,R1
        BX       LR               ;; return
        CFI EndBlock cfiBlock6
//  434 }
//  435 
//  436 /*******************************************************************************
//  437 * Function Name  : DMA_ClearFlag
//  438 * Description    : Clears the DMAy Channelx's pending flags.
//  439 * Input          : - DMA_FLAG: specifies the flag to clear.
//  440 *                    This parameter can be any combination (for the same DMA) of 
//  441 *                    the following values:
//  442 *                       - DMA1_FLAG_GL1: DMA1 Channel1 global flag.
//  443 *                       - DMA1_FLAG_TC1: DMA1 Channel1 transfer complete flag.
//  444 *                       - DMA1_FLAG_HT1: DMA1 Channel1 half transfer flag.
//  445 *                       - DMA1_FLAG_TE1: DMA1 Channel1 transfer error flag.
//  446 *                       - DMA1_FLAG_GL2: DMA1 Channel2 global flag.
//  447 *                       - DMA1_FLAG_TC2: DMA1 Channel2 transfer complete flag.
//  448 *                       - DMA1_FLAG_HT2: DMA1 Channel2 half transfer flag.
//  449 *                       - DMA1_FLAG_TE2: DMA1 Channel2 transfer error flag.
//  450 *                       - DMA1_FLAG_GL3: DMA1 Channel3 global flag.
//  451 *                       - DMA1_FLAG_TC3: DMA1 Channel3 transfer complete flag.
//  452 *                       - DMA1_FLAG_HT3: DMA1 Channel3 half transfer flag.
//  453 *                       - DMA1_FLAG_TE3: DMA1 Channel3 transfer error flag.
//  454 *                       - DMA1_FLAG_GL4: DMA1 Channel4 global flag.
//  455 *                       - DMA1_FLAG_TC4: DMA1 Channel4 transfer complete flag.
//  456 *                       - DMA1_FLAG_HT4: DMA1 Channel4 half transfer flag.
//  457 *                       - DMA1_FLAG_TE4: DMA1 Channel4 transfer error flag.
//  458 *                       - DMA1_FLAG_GL5: DMA1 Channel5 global flag.
//  459 *                       - DMA1_FLAG_TC5: DMA1 Channel5 transfer complete flag.
//  460 *                       - DMA1_FLAG_HT5: DMA1 Channel5 half transfer flag.
//  461 *                       - DMA1_FLAG_TE5: DMA1 Channel5 transfer error flag.
//  462 *                       - DMA1_FLAG_GL6: DMA1 Channel6 global flag.
//  463 *                       - DMA1_FLAG_TC6: DMA1 Channel6 transfer complete flag.
//  464 *                       - DMA1_FLAG_HT6: DMA1 Channel6 half transfer flag.
//  465 *                       - DMA1_FLAG_TE6: DMA1 Channel6 transfer error flag.
//  466 *                       - DMA1_FLAG_GL7: DMA1 Channel7 global flag.
//  467 *                       - DMA1_FLAG_TC7: DMA1 Channel7 transfer complete flag.
//  468 *                       - DMA1_FLAG_HT7: DMA1 Channel7 half transfer flag.
//  469 *                       - DMA1_FLAG_TE7: DMA1 Channel7 transfer error flag.
//  470 *                       - DMA2_FLAG_GL1: DMA2 Channel1 global flag.
//  471 *                       - DMA2_FLAG_TC1: DMA2 Channel1 transfer complete flag.
//  472 *                       - DMA2_FLAG_HT1: DMA2 Channel1 half transfer flag.
//  473 *                       - DMA2_FLAG_TE1: DMA2 Channel1 transfer error flag.
//  474 *                       - DMA2_FLAG_GL2: DMA2 Channel2 global flag.
//  475 *                       - DMA2_FLAG_TC2: DMA2 Channel2 transfer complete flag.
//  476 *                       - DMA2_FLAG_HT2: DMA2 Channel2 half transfer flag.
//  477 *                       - DMA2_FLAG_TE2: DMA2 Channel2 transfer error flag.
//  478 *                       - DMA2_FLAG_GL3: DMA2 Channel3 global flag.
//  479 *                       - DMA2_FLAG_TC3: DMA2 Channel3 transfer complete flag.
//  480 *                       - DMA2_FLAG_HT3: DMA2 Channel3 half transfer flag.
//  481 *                       - DMA2_FLAG_TE3: DMA2 Channel3 transfer error flag.
//  482 *                       - DMA2_FLAG_GL4: DMA2 Channel4 global flag.
//  483 *                       - DMA2_FLAG_TC4: DMA2 Channel4 transfer complete flag.
//  484 *                       - DMA2_FLAG_HT4: DMA2 Channel4 half transfer flag.
//  485 *                       - DMA2_FLAG_TE4: DMA2 Channel4 transfer error flag.
//  486 *                       - DMA2_FLAG_GL5: DMA2 Channel5 global flag.
//  487 *                       - DMA2_FLAG_TC5: DMA2 Channel5 transfer complete flag.
//  488 *                       - DMA2_FLAG_HT5: DMA2 Channel5 half transfer flag.
//  489 *                       - DMA2_FLAG_TE5: DMA2 Channel5 transfer error flag.
//  490 * Output         : None
//  491 * Return         : None
//  492 *******************************************************************************/

        SECTION `.text`:CODE:NOROOT(1)
        CFI Block cfiBlock7 Using cfiCommon0
        CFI Function DMA_ClearFlag
        THUMB
//  493 void DMA_ClearFlag(u32 DMA_FLAG)
//  494 {
//  495   /* Check the parameters */
//  496   assert_param(IS_DMA_CLEAR_FLAG(DMA_FLAG));
//  497 
//  498   /* Calculate the used DMA */
//  499   if ((DMA_FLAG & FLAG_Mask) != (u32)RESET)
DMA_ClearFlag:
        LDR.N    R1,??DataTable5_1  ;; 0x40020004
        LSLS     R2,R0,#+3
        ITE      MI 
        STRMI    R0,[R1, #+1024]
        STRPL    R0,[R1, #+0]
//  500   {
//  501     /* Clear the selected DMA flags */
//  502     DMA2->IFCR = DMA_FLAG;
        BX       LR
        CFI EndBlock cfiBlock7
//  503   }
//  504   else
//  505   {
//  506     /* Clear the selected DMA flags */
//  507     DMA1->IFCR = DMA_FLAG;
//  508   }
//  509 }
//  510 
//  511 /*******************************************************************************
//  512 * Function Name  : DMA_GetITStatus
//  513 * Description    : Checks whether the specified DMAy Channelx interrupt has 
//  514 *                  occurred or not.
//  515 * Input          : - DMA_IT: specifies the DMA interrupt source to check. 
//  516 *                    This parameter can be one of the following values:
//  517 *                       - DMA1_IT_GL1: DMA1 Channel1 global interrupt.
//  518 *                       - DMA1_IT_TC1: DMA1 Channel1 transfer complete interrupt.
//  519 *                       - DMA1_IT_HT1: DMA1 Channel1 half transfer interrupt.
//  520 *                       - DMA1_IT_TE1: DMA1 Channel1 transfer error interrupt.
//  521 *                       - DMA1_IT_GL2: DMA1 Channel2 global interrupt.
//  522 *                       - DMA1_IT_TC2: DMA1 Channel2 transfer complete interrupt.
//  523 *                       - DMA1_IT_HT2: DMA1 Channel2 half transfer interrupt.
//  524 *                       - DMA1_IT_TE2: DMA1 Channel2 transfer error interrupt.
//  525 *                       - DMA1_IT_GL3: DMA1 Channel3 global interrupt.
//  526 *                       - DMA1_IT_TC3: DMA1 Channel3 transfer complete interrupt.
//  527 *                       - DMA1_IT_HT3: DMA1 Channel3 half transfer interrupt.
//  528 *                       - DMA1_IT_TE3: DMA1 Channel3 transfer error interrupt.
//  529 *                       - DMA1_IT_GL4: DMA1 Channel4 global interrupt.
//  530 *                       - DMA1_IT_TC4: DMA1 Channel4 transfer complete interrupt.
//  531 *                       - DMA1_IT_HT4: DMA1 Channel4 half transfer interrupt.
//  532 *                       - DMA1_IT_TE4: DMA1 Channel4 transfer error interrupt.
//  533 *                       - DMA1_IT_GL5: DMA1 Channel5 global interrupt.
//  534 *                       - DMA1_IT_TC5: DMA1 Channel5 transfer complete interrupt.
//  535 *                       - DMA1_IT_HT5: DMA1 Channel5 half transfer interrupt.
//  536 *                       - DMA1_IT_TE5: DMA1 Channel5 transfer error interrupt.
//  537 *                       - DMA1_IT_GL6: DMA1 Channel6 global interrupt.
//  538 *                       - DMA1_IT_TC6: DMA1 Channel6 transfer complete interrupt.
//  539 *                       - DMA1_IT_HT6: DMA1 Channel6 half transfer interrupt.
//  540 *                       - DMA1_IT_TE6: DMA1 Channel6 transfer error interrupt.
//  541 *                       - DMA1_IT_GL7: DMA1 Channel7 global interrupt.
//  542 *                       - DMA1_IT_TC7: DMA1 Channel7 transfer complete interrupt.
//  543 *                       - DMA1_IT_HT7: DMA1 Channel7 half transfer interrupt.
//  544 *                       - DMA1_IT_TE7: DMA1 Channel7 transfer error interrupt.
//  545 *                       - DMA2_IT_GL1: DMA2 Channel1 global interrupt.
//  546 *                       - DMA2_IT_TC1: DMA2 Channel1 transfer complete interrupt.
//  547 *                       - DMA2_IT_HT1: DMA2 Channel1 half transfer interrupt.
//  548 *                       - DMA2_IT_TE1: DMA2 Channel1 transfer error interrupt.
//  549 *                       - DMA2_IT_GL2: DMA2 Channel2 global interrupt.
//  550 *                       - DMA2_IT_TC2: DMA2 Channel2 transfer complete interrupt.
//  551 *                       - DMA2_IT_HT2: DMA2 Channel2 half transfer interrupt.
//  552 *                       - DMA2_IT_TE2: DMA2 Channel2 transfer error interrupt.
//  553 *                       - DMA2_IT_GL3: DMA2 Channel3 global interrupt.
//  554 *                       - DMA2_IT_TC3: DMA2 Channel3 transfer complete interrupt.
//  555 *                       - DMA2_IT_HT3: DMA2 Channel3 half transfer interrupt.
//  556 *                       - DMA2_IT_TE3: DMA2 Channel3 transfer error interrupt.
//  557 *                       - DMA2_IT_GL4: DMA2 Channel4 global interrupt.
//  558 *                       - DMA2_IT_TC4: DMA2 Channel4 transfer complete interrupt.
//  559 *                       - DMA2_IT_HT4: DMA2 Channel4 half transfer interrupt.
//  560 *                       - DMA2_IT_TE4: DMA2 Channel4 transfer error interrupt.
//  561 *                       - DMA2_IT_GL5: DMA2 Channel5 global interrupt.
//  562 *                       - DMA2_IT_TC5: DMA2 Channel5 transfer complete interrupt.
//  563 *                       - DMA2_IT_HT5: DMA2 Channel5 half transfer interrupt.
//  564 *                       - DMA2_IT_TE5: DMA2 Channel5 transfer error interrupt.
//  565 * Output         : None
//  566 * Return         : The new state of DMA_IT (SET or RESET).
//  567 *******************************************************************************/

        SECTION `.text`:CODE:NOROOT(1)
        CFI Block cfiBlock8 Using cfiCommon0
        CFI Function DMA_GetITStatus
        THUMB
//  568 ITStatus DMA_GetITStatus(u32 DMA_IT)
//  569 {
//  570   ITStatus bitstatus = RESET;
DMA_GetITStatus:
        MOVS     R1,#+0
//  571   u32 tmpreg = 0;
//  572 
//  573   /* Check the parameters */
//  574   assert_param(IS_DMA_GET_IT(DMA_IT));
//  575 
//  576   /* Calculate the used DMA */
//  577   if ((DMA_IT & FLAG_Mask) != (u32)RESET)
        LDR.N    R2,??DataTable5_3  ;; 0x40020000
        LSLS     R3,R0,#+3
        ITE      MI 
        LDRMI    R2,[R2, #+1024]
        LDRPL    R2,[R2, #+0]
//  578   {
//  579     /* Get DMA2 ISR register value */
//  580     tmpreg = DMA2->ISR ;
//  581   }
//  582   else
//  583   {
//  584     /* Get DMA1 ISR register value */
//  585     tmpreg = DMA1->ISR ;
//  586   }
//  587 
//  588   /* Check the status of the specified DMA interrupt */
//  589   if ((tmpreg & DMA_IT) != (u32)RESET)
        TST      R2,R0
        IT       NE 
        MOVNE    R1,#+1
//  590   {
//  591     /* DMA_IT is set */
//  592     bitstatus = SET;
//  593   }
//  594   else
//  595   {
//  596     /* DMA_IT is reset */
//  597     bitstatus = RESET;
//  598   }
//  599   /* Return the DMA_IT status */
//  600   return  bitstatus;
        MOV      R0,R1
        BX       LR               ;; return
        CFI EndBlock cfiBlock8
//  601 }
//  602 
//  603 /*******************************************************************************
//  604 * Function Name  : DMA_ClearITPendingBit
//  605 * Description    : Clears the DMAy Channelxs interrupt pending bits.
//  606 * Input          : - DMA_IT: specifies the DMA interrupt pending bit to clear.
//  607 *                    This parameter can be any combination (for the same DMA) of
//  608 *                    the following values:
//  609 *                       - DMA1_IT_GL1: DMA1 Channel1 global interrupt.
//  610 *                       - DMA1_IT_TC1: DMA1 Channel1 transfer complete interrupt.
//  611 *                       - DMA1_IT_HT1: DMA1 Channel1 half transfer interrupt.
//  612 *                       - DMA1_IT_TE1: DMA1 Channel1 transfer error interrupt.
//  613 *                       - DMA1_IT_GL2: DMA1 Channel2 global interrupt.
//  614 *                       - DMA1_IT_TC2: DMA1 Channel2 transfer complete interrupt.
//  615 *                       - DMA1_IT_HT2: DMA1 Channel2 half transfer interrupt.
//  616 *                       - DMA1_IT_TE2: DMA1 Channel2 transfer error interrupt.
//  617 *                       - DMA1_IT_GL3: DMA1 Channel3 global interrupt.
//  618 *                       - DMA1_IT_TC3: DMA1 Channel3 transfer complete interrupt.
//  619 *                       - DMA1_IT_HT3: DMA1 Channel3 half transfer interrupt.
//  620 *                       - DMA1_IT_TE3: DMA1 Channel3 transfer error interrupt.
//  621 *                       - DMA1_IT_GL4: DMA1 Channel4 global interrupt.
//  622 *                       - DMA1_IT_TC4: DMA1 Channel4 transfer complete interrupt.
//  623 *                       - DMA1_IT_HT4: DMA1 Channel4 half transfer interrupt.
//  624 *                       - DMA1_IT_TE4: DMA1 Channel4 transfer error interrupt.
//  625 *                       - DMA1_IT_GL5: DMA1 Channel5 global interrupt.
//  626 *                       - DMA1_IT_TC5: DMA1 Channel5 transfer complete interrupt.
//  627 *                       - DMA1_IT_HT5: DMA1 Channel5 half transfer interrupt.
//  628 *                       - DMA1_IT_TE5: DMA1 Channel5 transfer error interrupt.
//  629 *                       - DMA1_IT_GL6: DMA1 Channel6 global interrupt.
//  630 *                       - DMA1_IT_TC6: DMA1 Channel6 transfer complete interrupt.
//  631 *                       - DMA1_IT_HT6: DMA1 Channel6 half transfer interrupt.
//  632 *                       - DMA1_IT_TE6: DMA1 Channel6 transfer error interrupt.
//  633 *                       - DMA1_IT_GL7: DMA1 Channel7 global interrupt.
//  634 *                       - DMA1_IT_TC7: DMA1 Channel7 transfer complete interrupt.
//  635 *                       - DMA1_IT_HT7: DMA1 Channel7 half transfer interrupt.
//  636 *                       - DMA1_IT_TE7: DMA1 Channel7 transfer error interrupt.
//  637 *                       - DMA2_IT_GL1: DMA2 Channel1 global interrupt.
//  638 *                       - DMA2_IT_TC1: DMA2 Channel1 transfer complete interrupt.
//  639 *                       - DMA2_IT_HT1: DMA2 Channel1 half transfer interrupt.
//  640 *                       - DMA2_IT_TE1: DMA2 Channel1 transfer error interrupt.
//  641 *                       - DMA2_IT_GL2: DMA2 Channel2 global interrupt.
//  642 *                       - DMA2_IT_TC2: DMA2 Channel2 transfer complete interrupt.
//  643 *                       - DMA2_IT_HT2: DMA2 Channel2 half transfer interrupt.
//  644 *                       - DMA2_IT_TE2: DMA2 Channel2 transfer error interrupt.
//  645 *                       - DMA2_IT_GL3: DMA2 Channel3 global interrupt.
//  646 *                       - DMA2_IT_TC3: DMA2 Channel3 transfer complete interrupt.
//  647 *                       - DMA2_IT_HT3: DMA2 Channel3 half transfer interrupt.
//  648 *                       - DMA2_IT_TE3: DMA2 Channel3 transfer error interrupt.
//  649 *                       - DMA2_IT_GL4: DMA2 Channel4 global interrupt.
//  650 *                       - DMA2_IT_TC4: DMA2 Channel4 transfer complete interrupt.
//  651 *                       - DMA2_IT_HT4: DMA2 Channel4 half transfer interrupt.
//  652 *                       - DMA2_IT_TE4: DMA2 Channel4 transfer error interrupt.
//  653 *                       - DMA2_IT_GL5: DMA2 Channel5 global interrupt.
//  654 *                       - DMA2_IT_TC5: DMA2 Channel5 transfer complete interrupt.
//  655 *                       - DMA2_IT_HT5: DMA2 Channel5 half transfer interrupt.
//  656 *                       - DMA2_IT_TE5: DMA2 Channel5 transfer error interrupt.
//  657 * Output         : None
//  658 * Return         : None
//  659 *******************************************************************************/

        SECTION `.text`:CODE:NOROOT(1)
        CFI Block cfiBlock9 Using cfiCommon0
        CFI Function DMA_ClearITPendingBit
        THUMB
//  660 void DMA_ClearITPendingBit(u32 DMA_IT)
//  661 {
//  662   /* Check the parameters */
//  663   assert_param(IS_DMA_CLEAR_IT(DMA_IT));
//  664 
//  665   /* Calculate the used DMA */
//  666   if ((DMA_IT & FLAG_Mask) != (u32)RESET)
DMA_ClearITPendingBit:
        LDR.N    R1,??DataTable5_1  ;; 0x40020004
        LSLS     R2,R0,#+3
        ITE      MI 
        STRMI    R0,[R1, #+1024]
        STRPL    R0,[R1, #+0]
//  667   {
//  668     /* Clear the selected DMA interrupt pending bits */
//  669     DMA2->IFCR = DMA_IT;
        BX       LR
        CFI EndBlock cfiBlock9
//  670   }
//  671   else
//  672   {
//  673     /* Clear the selected DMA interrupt pending bits */
//  674     DMA1->IFCR = DMA_IT;
//  675   }
//  676 }

        SECTION `.text`:CODE:NOROOT(2)
        SECTION_TYPE SHT_PROGBITS, 0
        DATA
??DataTable5:
        DC32     0x40020008

        SECTION `.text`:CODE:NOROOT(2)
        SECTION_TYPE SHT_PROGBITS, 0
        DATA
??DataTable5_1:
        DC32     0x40020004

        SECTION `.text`:CODE:NOROOT(2)
        SECTION_TYPE SHT_PROGBITS, 0
        DATA
??DataTable5_2:
        DC32     0xffff800f

        SECTION `.text`:CODE:NOROOT(2)
        SECTION_TYPE SHT_PROGBITS, 0
        DATA
??DataTable5_3:
        DC32     0x40020000

        SECTION `.iar_vfe_header`:DATA:REORDER:NOALLOC:NOROOT(2)
        SECTION_TYPE SHT_PROGBITS, 0
        DATA
        DC32 0

        END
//  677 
//  678 /******************* (C) COPYRIGHT 2008 STMicroelectronics *****END OF FILE****/
//  679 
// 
// 426 bytes in section .text
// 
// 426 bytes of CODE memory
//
//Errors: none
//Warnings: none
